% frf = getFRF(sys, w_s)
% get FRF of a dynamical system model.
% 
%
% Arnold Braker:
% Created 5-1-2016:
% 
function frf = getFRF(sys, w_s)
    [mg0, ps0] = bode(sys, w_s);
    
    mg0 = squeeze(mg0);
    ps0 = squeeze(ps0)*pi/180;
    
    
    frf = mg0.*exp(j*ps0);




end