classdef ltiFit
    % ltiFit contains and lti system, sys, and notes about where the system
    % come from. By design, this is a container to remember which frf and
    % fit number the system I used in experiments and simulation and
    % controller design come from. 
    
    
    properties
        sys;
        heritagePath;
        heritageName;
        heritageNotes;
    end
    
    methods
        function obj = ltiFit(heritagePath, heritageName)
%            optNames = fieldnames(obj);
%            Narg = length(varargin);
%            if round(Narg/2) ~= Narg/2
%                error('Need even number of name value pairs')
%            end
%            
%            for pair = reshape(varargin, 2, [])
%                inpName = pair{1};
%               if any(strcmp(inpName, optNames))
%                   obj.(inpName) = pair{2};
%               else
%                   error('%s is not note a recognized parameter name', inpName);
%               end
%                
%            end
           obj.heritagePath = heritagePath;
           obj.heritageName = heritageName;
           models = load(obj.heritagePath);
           fn = fieldnames(models, '-full');
           models = models.(fn{1}); % strip the extraneous field.
           obj.sys = models.(heritageName).sys;
        end
        
        function [obj, sys] = absorbDelay(obj)
           obj.sys = absorbDelay(obj.sys); 
           sys = obj.sys;
        end
        function [Nd, sys_nodelay, obj] = collapseDelay(obj);
           Nd                 = obj.sys.InputDelay;
           obj.sys.InputDelay = 0;
           sys_nodelay        = obj.sys;
        end
        
        
    end
    
end

