% [e, vi ] = setupVI(vipath, varargin )
% given a path to the VI, sets a variable number of front panel controls,
% and returns a reference to the vi and activeX server.
%
%  Inputs:
%   vipath: path to the VI instrument to run.
%   varargin: name value pairs, 'name of control', val1...
%
% Outputs:
%   e: handle? to the activex server connection. Or something like that.
%   vi: virtual instrument connection object. Use, vi.Run to run the VI.
% 
function [e, vi ] = setupVI(vipath, varargin )
    e  = actxserver('LabVIEW.Application');
    vi = invoke(e, 'GetVIReference', vipath);

    for pair = reshape(varargin, 2, [])
        fprintf('control: %s,  val: %f\n', pair{1}, pair{2});
        vi.SetControlValue(pair{1}, pair{2}) 
    end
    fprintf('\n');
end

