% [yy, tt] = tovectors(y)
%
% Inputs:
%   y: either a timeseries or structure with time.
% Outputs:
%   yy, tt, vectors of doubles.
function [yy, tt] = tovectors(y)
%TOVECTORS Summary of this function goes here
%   Detailed explanation goes here


y_type = trajectoryis(y);

if strcmp(y_type, 'structureWithTime')
    yy = y.signals.values;
    tt = y.time
elseif strcmp(y_type, 'timeseries')
    yy = y.Data;
    tt = y.Time;
elseif strcmp(y_type, 'double')
    yy = y;
else
    error('y_type must be double, timeseries, or structureWithTime')
end

end

