clear
close all
clc

saveOn = 0;

fig1_name = 'Hinf_step.eps';

addpath('functions')
matpath       = getMatPath();
dataroot      = fullfile(pwd, 'data'); 

fig1_path = fullfile(getFigPath(), fig1_name);


load(fullfile(dataroot, '09_19_2016_Hinf_01.mat'))
exp_TF_sim.pstyle = '--k';
exp_TF_sim.name   = 'H_{\infty}, Simulation';
exp_TF_afm.pstyle = 'r';
exp_TF_afm.name   = 'H_{\infty}, AFM Stage';
volts2um = 50/10;
exp_TF_sim.yscaling = volts2um;
exp_TF_afm.yscaling = volts2um;

F1 = figure(1);
F1.Position = [1270 539 560 251];
hold on
H1 = plot(exp_TF_sim.y.Time, exp_TF_sim.y.Data*volts2um, exp_TF_sim.pstyle);
H1.DisplayName = 'Simulation';
H2 = plot(exp_TF_afm.y.Time, exp_TF_afm.y.Data*volts2um, exp_TF_afm.pstyle);
H2.DisplayName = 'AFM Stage';
xlim([0, 0.1] );
grid on
ylabel('[$\mu$m]', 'interpreter', 'latex')
xlabel('t [s]', 'interpreter', 'latex');
hleg = legend([H1(1), H2(1)]);
hleg.Orientation = 'horizontal';
hleg.Position    = [0.4857 0.8754 0.4190 0.0500];

s1 = sprintf('%s settle time: %f\n %s settle time: %f',...
             exp_TF_sim.name, exp_TF_sim.settle_time, exp_TF_afm.name, exp_TF_afm.settle_time);
text(.3, .1, s1, 'Units', 'normalized', 'VerticalAlignment', 'bottom');




    
if saveOn
    saveEps(F1, fig1_path);
end
