%
% To run clqr_pzcancell_track2_extend.m plot_CLQR_trk2_extend.m requires a
% working installation of YALMIP/sedumi.
%
% 
% 
% There are three main simulation/experiment scripts. These run the
% simulations and experiements described in the paper, and save the results
% to a .mat file. Separate scripts, described below, load those .mat files
% to generate and format the figures found in the paper. 

% Simulation/experiment scripts:
% 1). Hinf_exp. This runs the simulation and experiment utilizing Jeff
% Butterworths H-infinity transfer function feedback law. 
% 2). linear_slew_problem_trk2.m Runs the textbook linear feedback control
% law.
% 3). clqr_pzcancell_track2_extend.m Runs the constrained LQR trajectory
% tracking controller. 
%
% All three of those scripts will call labview from within the script
% itself. This occures at the very end, so you can comment that section out
% and just run the simulations if there is not a working labview/piezo
% stage envioronment (which is likely the case).
%
% Figure 1: Human generated, no matlab files. 
% Figure 2: generateBode.m
% Figure 3: Two associated files:
%           a). Hinf_exp.m, runs the simulation and calls labview, and
%           saves result to a .mat file.
%           b). plot_Hinf_y.m Loads the data saved by a) and plots figure
%           2.
%
% Figure 4: The end of plot_linear_trk2.m
% Figure 5: Two associated files:
%           a).
%           b). plot_linear_trk2.m loads the data saved by 5.a, and plots
%           it into Figure 5.
%
% Figure 6: Human generated, no matlab files. 
%
% Figure 7: plot_CLQR_trk2_extend.m, at the end.
% Figure 8: Two associated scripts:
%           a). clqr_pzcancell_track2_extend.m, runs the simulation and
%           calls labeview for the experiment, and saves the trajectory
%           data as stepExp objects into a .mat file.
%           b). plot_CLQR_trk2_extend.m plots figure 8.
%
%
%
% Other: 
% saveMeta.m: This file takes the settle time data in metadata.mat and saves it into a
% flat text file so that latex can automagically import it. 
